using Microsoft.EntityFrameworkCore.Migrations;
using CvSearch.Data;

#nullable disable

namespace CvSearch.Data.Migrations
{
    /// <inheritdoc />
    public partial class AddKeywordsToJobSearchTokens : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<string>(
                name: "Keywords",
                schema: MigrationConstants.SchemaName,
                table: "JobSearchTokens",
                type: "nvarchar(1000)",
                maxLength: 1000,
                nullable: false,
                defaultValue: "");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "Keywords",
                schema: MigrationConstants.SchemaName,
                table: "JobSearchTokens");
        }
    }
}
